Skip to main content
`Ctrl`+`K`

# PetscViewerExodusIIGetNodalVariableNames

Gets the names of all nodal variables.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscViewerExodusIIGetNodalVariableNames(PetscViewer viewer, PetscExodusIIInt *numVars, char ***varNames)

Collective; No Fortran Support

## Input Parameters

- viewer - a `PetscViewer` of type `PETSCVIEWEREXODUSII`

- numVars - the number of nodal variable names to retrieve

## Output Parameters

- varNames - 2D array where the nodal variable names will be saved

## Notes

This function returns a borrowed pointer which should not be freed.

## See Also

`PETSCVIEWEREXODUSII`, `PetscViewer`, `PetscViewerCreate()`, `PetscViewerDestroy()`, `PetscViewerExodusIIOpen()`, `PetscViewerSetType()`, `PetscViewerType`, `PetscViewerExodusIISetNodalVariableNames()`

## Level

intermediate

## Location

src/dm/impls/plex/exodusii/plexexodusii2.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages